<ion-card class="card-formulario">

  <h3>Datos residenciales</h3>
  <p class="p-subtitulo">Ingresar la información domiciliario, trabajo u otros</p>

  <form [formGroup]="formularioDireccion" (ngSubmit)="devolverFormularioDireccion()">
    <ion-list>
      <ion-item
        lines="none">
        <ion-select
          formControlName="provincia"
          interface="action-sheet"
          okText="Seleccionar"
          cancelText="Cancelar"
          (ionChange)="cambio($event, 'provincia')"
          placeholder="Lista de provincias">
          <ion-select-option
            [value]="provincia"
            *ngFor="let provincia of listaProvincias">
            {{ provincia.Descripcion }}
          </ion-select-option>
        </ion-select>
         <ion-note
           *ngIf="provinciaField?.hasError('required')" slot="error">Provincia obligatorio</ion-note>
      </ion-item>
    </ion-list>

    <ion-list>
      <ion-item
        lines="none">
        <ion-select
          formControlName="canton"
          interface="action-sheet"
          okText="Seleccionar"
          cancelText="Cancelar"
          (ionChange)="cambio($event, 'canton')"
          placeholder="Lista de cantones">
          <ion-select-option
            [value]="canton"
            *ngFor="let canton of listaCantones">
            {{ canton.Descripcion }}
          </ion-select-option>
        </ion-select>
        <!-- <ion-note *ngIf="cantonField?.hasError('required')" slot="error">Canton obligatorio</ion-note> -->
      </ion-item>
    </ion-list>

    <ion-list>
      <ion-item
        lines="none">
        <ion-select
          formControlName="parroquia"
          interface="action-sheet"
          okText="Seleccionar"
          cancelText="Cancelar"
          placeholder="Lista de parroquias">
          <ion-select-option
            [value]="parroquia"
            *ngFor="let parroquia of listaParroquias">
            {{ parroquia.Descripcion }}
          </ion-select-option>
        </ion-select>
        <!-- <ion-note *ngIf="parroquiaField?.hasError('required')" slot="error">Parroquia obligatorio</ion-note> -->
      </ion-item>
    </ion-list>

    <ion-item lines="none">
      <ion-input
        onkeyup="this.value=this.value.toUpperCase()"
        formControlName="callePrincipal"
        placeholder="Ingresar calle principal">
      </ion-input>
      <ion-note *ngIf="callePrincipalField?.hasError('required')" slot="error">Calle principal obligatorio</ion-note>
    </ion-item>

    <ion-item lines="none">
      <ion-input
        onkeyup="this.value=this.value.toUpperCase()"
        formControlName="calleSecundaria"
        placeholder="Ingresar calle secundaria">
      </ion-input>
      <ion-note *ngIf="calleSecundariaField?.hasError('required')" slot="error">Calle secundaria obligatorio</ion-note>
    </ion-item>

    <ion-item lines="none">
      <ion-input
        onkeyup="this.value=this.value.toUpperCase()"
        formControlName="numeracion"
        placeholder="Ingresar númeración de la calle">
      </ion-input>
      <ion-note *ngIf="calleSecundariaField?.hasError('required')" slot="error">Numeración obligatorio</ion-note>
    </ion-item>
  </form>
</ion-card>
